package tourplaner.business;
import org.apache.log4j.*;


/**
 * Hilft beim Logging mit log4j
 */
public class LogHelper{
    /**
     * Log info in file und Console
     * @param msg Nachricht in dem Log
     * @param name Name des Log Eintrags
     */
    public static void info(String msg, String name){
        getLog(name).info(msg);
    }

    /**
     * Log info in file und Console
     * @param msg Nachricht in dem Log
     * @param name Name des Log Eintrags
     */
    public static void error(String msg, String name){
        getLog(name).error(msg);
    }

    /**
     * Log info in file und Console
     * @param e Exception
     */
    public static void error(Exception e){
        getLog(e.getClass().getName()).error(e.getMessage());
    }

    /**
     * Instanziert den Logger
     * @param name Name des Loggers
     * @return Den Logger
     */
    private static Logger getLog(String name){
        return Logger.getLogger(name); // Instanziert den Logger
    }

}
